Package: org.gradle.api.plugins.quality

## [Java] Interface FindBugsReports

- java.util.Collection

- All Superinterfaces:
    NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

  The reporting configuration for the FindBugs task. Only one of the reports can be enabled when the task executes. If more than one is enabled, an InvalidUserDataException will be thrown.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `SingleFileReport` | `getEmacs()` The findbugs Emacs report
    `SingleFileReport` | `getHtml()` The findbugs HTML report
    `SingleFileReport` | `getText()` The findbugs Text report
    `FindBugsXmlReport` | `getXml()` The findbugs XML report

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ReportContainer` | `getEnabled`
    `interface NamedDomainObjectSet` | `findAll, matching, matching, withType`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### public SingleFileReport getEmacs()

      The findbugs Emacs report

      Returns:
        The findbugs Emacs report

    - #### public SingleFileReport getHtml()

      The findbugs HTML report

      Returns:
        The findbugs HTML report

    - #### public SingleFileReport getText()

      The findbugs Text report

      Returns:
        The findbugs Text report

    - #### public FindBugsXmlReport getXml()

      The findbugs XML report

      Returns:
        The findbugs XML report